var idInvDrag=0;	
var idSource=0;
var idImSource=0;

var nObj=[];
var nomObj=['vide','seau','eau100','graines_ble','graines_mais','oeuf_poulet','oeuf_porc','oeuf_vache','patate','banane',
'ble1','ble5','mais','eau500','eau4000','poulet','porc','boeuf','pain','fromage',
'lait','cheeseburger','hamburger_bacon','hamburger','tortilla','fajitas','fajitas_vege','huile','frites','coca',
'canne','nugget','happy_meal','sucre','mais5','croque','msbanane','fajitas_boeuf','rhum'];

var nomLongObj=['vide','Seau vide','Eau (100L)','Graines de blé','Grains de maïs','Oeuf de poule','Oeuf de porc','Oeuf de vache','Pomme de terre (1kg)','Banane (1kg)',
'Blé (1kg)','Blé (5kg)','Maïs (1kg)','Eau (500L)','Eau (4000 L)','Viande de poulet (1kg)','Viande de porc (1kg)','Viande de boeuf (1kg)','Pain (1kg)','Fromage (1kg)',
'Lait (1L)','Cheeseburger (350g)', 'Bacon cheeseburger (350g)','Hamburger (300g)','Tortilla de maïs (1kg)','Fajita (300g)','Fajita vegan (300g)','Huile de maïs (1L)','Frites (1kg)','Coca cola (1L)',
'Canne à sucre (1kg)','Nuggets (100g)','Menu enfant fast food','Sucre (1kg)','Maïs (5kg)','Croque-monsieur (200g)','Milk-shake banane (200mL)','Fajita au boeuf (300g)','Rhum brun (4x1L)'];

var tBoissons=[13,14,20,27,29,36,38];

var tCal=[0,0,0,0,0,0,0,0,770,890,
3390,3390*5,3650,0,0,2390,2420,2500,2650,2990,
420,1050,1050,900,2370,400,400,8840,3120,880,
620,250,180+230+140,3870,3650*5,580,210,400,2310];

var tObj=[];


function initObj () {
	for (var i=0;i<42;i++) {
		tObj[i]=0;
		nObj[i]=0;
	}

	for (var i=10;i<19;i++) {
		tObj[i]=i-9;
		nObj[i]=1;
	}
	
	tObj[19]=9;
	nObj[19]=1;
	
	tObj[18]=30;
	nObj[18]=1;
	
	tObj[17]=8;
	nObj[17]=1;

	if (triche) {
		nObj[17]=10;
		nObj[18]=10;
		for (var i=20;i<30;i++) {
			tObj[i]=i-11;
			nObj[i]=10;
		}

		for (var i=30;i<40;i++) {
			tObj[i]=i-6;
			nObj[i]=10;
		}

	}
}


function propose (i,n) {
	placeIm (41,i);
	changeNb (41,n);
}


function id2 (n) {
	if (n>=10) {return n+"";}
	return "0"+n;
}

function placeIm (c,n) {
	var im=document.getElementById("imcase"+id2(c*1));
	if (im) {
		im.src="images/"+nomObj[n]+".png";
		im.style.cursor="pointer";
		im.atitle=nomLongObj[n];
	}
	tObj[c]=n;
	checkRangeTable();
}

function videIm (c) {
	placeIm (c,0);
	changeNb(c,0);
}

function echange (a,b) {
	var c=tObj[a*1];
	var nc=nObj[a*1];
	placeIm (a,tObj[b*1]);
	placeIm (b,c);	
	changeNb (a,nObj[b*1]);
	changeNb (b,nc);
}

function eclairCase (c,clair) {
	var idc=document.getElementById("divcacheclair"+id2(c*1));
	if (idc) {
		if (clair==true) {idc.style.display="block";} else {idc.style.display="none";}
	}
}

function changeNb(i,n) {
	n=n*1;
	var idc=document.getElementById("divn"+id2(i*1));
	if (idc) {
		var t="";
		if (n>1) {t=n+"";}
		if (n<0) {t="∞";}
		idc.innerHTML=t;
		nObj[i]=n;
	}
}

function rafrNb () {
	for (var i=0;i<=41;i++) {
		var idc=document.getElementById("divn"+id2(i*1));
		if (idc) {
			var t="";
			var n=nObj[i];
			if (n==0) {videIm(i);}
			if (n>1) {t=n+"";}
			if (n<0) {t="∞";}
			idc.innerHTML=t;
			nObj[i]=n;
		}
	}
}

function selectSource (nc) {
		eclairCase(idSource,false);
		idSource=nc;
		idImSource=tObj[nc*1];
		eclairCase(nc,true);
		if (nc==0) {cacheDragPic();} else {montreDragPic();}
}

function incr(nc) {
	var n=nObj[nc];
	changeNb (nc,n+1);
}

function decr(nc) {
	var n=nObj[nc];
	changeNb (nc,n-1);
}

function stack (a,b) { // a vers b
	var na=nObj[a];
	var nb=nObj[b];
	var nt=na+nb;
	videIm (a);
	changeNb(b,nt);
}

function destack (a,b) { // a vers b
	decr (a);
	incr(b);
	placeIm(b,tObj[a]);
}




	